Bug 535410 - (RHQ-2108) server should have its initial and max heap sizes set to the same thing
server should have its initial and max heap sizes set to the same thing
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Launch Scripts (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 15:21 EDT by John Mazzitelli
Modified: 2009-07-15 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 1.2.1, 1.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-21 15:21:00 EDT
Make sure the server's -Xms and -Xmx values are set to the same value.
Comment 1 Charles Crouch 2009-05-26 09:18:39 EDT
Same goes for -XX:PermSize and -XX:MaxPermSize
Comment 2 John Mazzitelli 2009-05-26 09:49:23 EDT
svn rev 3979 (trunk)
svn rev 3980 (1.2.0 ga cp branch)
Comment 3 Corey Welton 2009-07-15 12:59:13 EDT
QA Verified:

[jonqa@jweiss-rhel2 bin]$ grep -r -E "Xms|Perm" *
rhq-server.sh:   RHQ_SERVER_JAVA_OPTS="-Xms1024M -Xmx1024M -XX:PermSize=256M -XX:MaxPermSize=256M -Djava.net.preferIPv4Stack=true -Djboss.server.log.dir=${_LOG_DIR_PATH}"
wrapper/rhq-server-wrapper.conf:wrapper.java.additional.2=-Xms1024M
wrapper/rhq-server-wrapper.conf:wrapper.java.additional.4=-XX:PermSize=256M
wrapper/rhq-server-wrapper.conf:wrapper.java.additional.5=-XX:MaxPermSize=256M
Binary file wrapper/windows-x86_32/wrapper.exe matches
Binary file wrapper/windows-x86_32/wrapper.jar matches
Comment 4 Red Hat Bugzilla 2009-11-10 15:57:58 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2108

Note You need to log in before you can comment on or make changes to this bug.